Blame examples/hierarchy/Makefile

Packit Service e31359
# Makefile.in generated by automake 1.15 from Makefile.am.
Packit Service e31359
# examples/hierarchy/Makefile.  Generated from Makefile.in by configure.
Packit Service e31359
Packit Service e31359
# Copyright (C) 1994-2014 Free Software Foundation, Inc.
Packit Service e31359
Packit Service e31359
# This Makefile.in is free software; the Free Software Foundation
Packit Service e31359
# gives unlimited permission to copy and/or distribute it,
Packit Service e31359
# with or without modifications, as long as this notice is preserved.
Packit Service e31359
Packit Service e31359
# This program is distributed in the hope that it will be useful,
Packit Service e31359
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
Packit Service e31359
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
Packit Service e31359
# PARTICULAR PURPOSE.
Packit Service e31359
Packit Service e31359
Packit Service e31359
Packit Service e31359
am__is_gnu_make = { \
Packit Service e31359
  if test -z '$(MAKELEVEL)'; then \
Packit Service e31359
    false; \
Packit Service e31359
  elif test -n '$(MAKE_HOST)'; then \
Packit Service e31359
    true; \
Packit Service e31359
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
Packit Service e31359
    true; \
Packit Service e31359
  else \
Packit Service e31359
    false; \
Packit Service e31359
  fi; \
Packit Service e31359
}
Packit Service e31359
am__make_running_with_option = \
Packit Service e31359
  case $${target_option-} in \
Packit Service e31359
      ?) ;; \
Packit Service e31359
      *) echo "am__make_running_with_option: internal error: invalid" \
Packit Service e31359
              "target option '$${target_option-}' specified" >&2; \
Packit Service e31359
         exit 1;; \
Packit Service e31359
  esac; \
Packit Service e31359
  has_opt=no; \
Packit Service e31359
  sane_makeflags=$$MAKEFLAGS; \
Packit Service e31359
  if $(am__is_gnu_make); then \
Packit Service e31359
    sane_makeflags=$$MFLAGS; \
Packit Service e31359
  else \
Packit Service e31359
    case $$MAKEFLAGS in \
Packit Service e31359
      *\\[\ \	]*) \
Packit Service e31359
        bs=\\; \
Packit Service e31359
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
Packit Service e31359
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
Packit Service e31359
    esac; \
Packit Service e31359
  fi; \
Packit Service e31359
  skip_next=no; \
Packit Service e31359
  strip_trailopt () \
Packit Service e31359
  { \
Packit Service e31359
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
Packit Service e31359
  }; \
Packit Service e31359
  for flg in $$sane_makeflags; do \
Packit Service e31359
    test $$skip_next = yes && { skip_next=no; continue; }; \
Packit Service e31359
    case $$flg in \
Packit Service e31359
      *=*|--*) continue;; \
Packit Service e31359
        -*I) strip_trailopt 'I'; skip_next=yes;; \
Packit Service e31359
      -*I?*) strip_trailopt 'I';; \
Packit Service e31359
        -*O) strip_trailopt 'O'; skip_next=yes;; \
Packit Service e31359
      -*O?*) strip_trailopt 'O';; \
Packit Service e31359
        -*l) strip_trailopt 'l'; skip_next=yes;; \
Packit Service e31359
      -*l?*) strip_trailopt 'l';; \
Packit Service e31359
      -[dEDm]) skip_next=yes;; \
Packit Service e31359
      -[JT]) skip_next=yes;; \
Packit Service e31359
    esac; \
Packit Service e31359
    case $$flg in \
Packit Service e31359
      *$$target_option*) has_opt=yes; break;; \
Packit Service e31359
    esac; \
Packit Service e31359
  done; \
Packit Service e31359
  test $$has_opt = yes
Packit Service e31359
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
Packit Service e31359
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
Packit Service e31359
pkgdatadir = $(datadir)/cppunit
Packit Service e31359
pkgincludedir = $(includedir)/cppunit
Packit Service e31359
pkglibdir = $(libdir)/cppunit
Packit Service e31359
pkglibexecdir = $(libexecdir)/cppunit
Packit Service e31359
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
Packit Service e31359
install_sh_DATA = $(install_sh) -c -m 644
Packit Service e31359
install_sh_PROGRAM = $(install_sh) -c
Packit Service e31359
install_sh_SCRIPT = $(install_sh) -c
Packit Service e31359
INSTALL_HEADER = $(INSTALL_DATA)
Packit Service e31359
transform = $(program_transform_name)
Packit Service e31359
NORMAL_INSTALL = :
Packit Service e31359
PRE_INSTALL = :
Packit Service e31359
POST_INSTALL = :
Packit Service e31359
NORMAL_UNINSTALL = :
Packit Service e31359
PRE_UNINSTALL = :
Packit Service e31359
POST_UNINSTALL = :
Packit Service e31359
build_triplet = x86_64-unknown-linux-gnu
Packit Service e31359
host_triplet = x86_64-unknown-linux-gnu
Packit Service e31359
TESTS = hierarchy$(EXEEXT)
Packit Service e31359
XFAIL_TESTS = hierarchy$(EXEEXT)
Packit Service e31359
check_PROGRAMS = $(am__EXEEXT_1)
Packit Service e31359
subdir = examples/hierarchy
Packit Service e31359
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
Packit Service e31359
am__aclocal_m4_deps = $(top_srcdir)/m4/ac_cxx_have_strstream.m4 \
Packit Service e31359
	$(top_srcdir)/m4/ac_cxx_string_compare_string_first.m4 \
Packit Service e31359
	$(top_srcdir)/m4/ac_dll.m4 \
Packit Service e31359
	$(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
Packit Service e31359
	$(top_srcdir)/m4/ax_cxx_gcc_abi_demangle.m4 \
Packit Service e31359
	$(top_srcdir)/m4/ax_cxx_have_isfinite.m4 \
Packit Service e31359
	$(top_srcdir)/m4/ax_cxx_have_sstream.m4 \
Packit Service e31359
	$(top_srcdir)/m4/ax_cxx_namespaces.m4 \
Packit Service e31359
	$(top_srcdir)/m4/ax_prefix_config_h.m4 \
Packit Service e31359
	$(top_srcdir)/m4/bb_enable_doxygen.m4 \
Packit Service e31359
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
Packit Service e31359
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
Packit Service e31359
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
Packit Service e31359
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
Packit Service e31359
	$(ACLOCAL_M4)
Packit Service e31359
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
Packit Service e31359
mkinstalldirs = $(install_sh) -d
Packit Service e31359
CONFIG_HEADER = $(top_builddir)/config.h
Packit Service e31359
CONFIG_CLEAN_FILES =
Packit Service e31359
CONFIG_CLEAN_VPATH_FILES =
Packit Service e31359
am__EXEEXT_1 = hierarchy$(EXEEXT)
Packit Service e31359
am_hierarchy_OBJECTS = BoardGame.$(OBJEXT) Chess.$(OBJEXT) \
Packit Service e31359
	main.$(OBJEXT)
Packit Service e31359
hierarchy_OBJECTS = $(am_hierarchy_OBJECTS)
Packit Service e31359
am__DEPENDENCIES_1 =
Packit Service e31359
hierarchy_DEPENDENCIES = $(top_builddir)/src/cppunit/libcppunit.la \
Packit Service e31359
	$(am__DEPENDENCIES_1)
Packit Service e31359
AM_V_lt = $(am__v_lt_$(V))
Packit Service e31359
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
Packit Service e31359
am__v_lt_0 = --silent
Packit Service e31359
am__v_lt_1 = 
Packit Service e31359
AM_V_P = $(am__v_P_$(V))
Packit Service e31359
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
Packit Service e31359
am__v_P_0 = false
Packit Service e31359
am__v_P_1 = :
Packit Service e31359
AM_V_GEN = $(am__v_GEN_$(V))
Packit Service e31359
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
Packit Service e31359
am__v_GEN_0 = @echo "  GEN     " $@;
Packit Service e31359
am__v_GEN_1 = 
Packit Service e31359
AM_V_at = $(am__v_at_$(V))
Packit Service e31359
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
Packit Service e31359
am__v_at_0 = @
Packit Service e31359
am__v_at_1 = 
Packit Service e31359
DEFAULT_INCLUDES = -I. -I$(top_builddir)
Packit Service e31359
depcomp = $(SHELL) $(top_srcdir)/depcomp
Packit Service e31359
am__depfiles_maybe = depfiles
Packit Service e31359
am__mv = mv -f
Packit Service e31359
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
Packit Service e31359
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
Packit Service e31359
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
Packit Service e31359
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
Packit Service e31359
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
Packit Service e31359
	$(AM_CXXFLAGS) $(CXXFLAGS)
Packit Service e31359
AM_V_CXX = $(am__v_CXX_$(V))
Packit Service e31359
am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
Packit Service e31359
am__v_CXX_0 = @echo "  CXX     " $@;
Packit Service e31359
am__v_CXX_1 = 
Packit Service e31359
CXXLD = $(CXX)
Packit Service e31359
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
Packit Service e31359
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
Packit Service e31359
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
Packit Service e31359
AM_V_CXXLD = $(am__v_CXXLD_$(V))
Packit Service e31359
am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
Packit Service e31359
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
Packit Service e31359
am__v_CXXLD_1 = 
Packit Service e31359
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
Packit Service e31359
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
Packit Service e31359
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
Packit Service e31359
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
Packit Service e31359
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
Packit Service e31359
	$(AM_CFLAGS) $(CFLAGS)
Packit Service e31359
AM_V_CC = $(am__v_CC_$(V))
Packit Service e31359
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
Packit Service e31359
am__v_CC_0 = @echo "  CC      " $@;
Packit Service e31359
am__v_CC_1 = 
Packit Service e31359
CCLD = $(CC)
Packit Service e31359
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
Packit Service e31359
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
Packit Service e31359
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
Packit Service e31359
AM_V_CCLD = $(am__v_CCLD_$(V))
Packit Service e31359
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
Packit Service e31359
am__v_CCLD_0 = @echo "  CCLD    " $@;
Packit Service e31359
am__v_CCLD_1 = 
Packit Service e31359
SOURCES = $(hierarchy_SOURCES)
Packit Service e31359
DIST_SOURCES = $(hierarchy_SOURCES)
Packit Service e31359
am__can_run_installinfo = \
Packit Service e31359
  case $$AM_UPDATE_INFO_DIR in \
Packit Service e31359
    n|no|NO) false;; \
Packit Service e31359
    *) (install-info --version) >/dev/null 2>&1;; \
Packit Service e31359
  esac
Packit Service e31359
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
Packit Service e31359
# Read a list of newline-separated strings from the standard input,
Packit Service e31359
# and print each of them once, without duplicates.  Input order is
Packit Service e31359
# *not* preserved.
Packit Service e31359
am__uniquify_input = $(AWK) '\
Packit Service e31359
  BEGIN { nonempty = 0; } \
Packit Service e31359
  { items[$$0] = 1; nonempty = 1; } \
Packit Service e31359
  END { if (nonempty) { for (i in items) print i; }; } \
Packit Service e31359
'
Packit Service e31359
# Make sure the list of sources is unique.  This is necessary because,
Packit Service e31359
# e.g., the same source file might be shared among _SOURCES variables
Packit Service e31359
# for different programs/libraries.
Packit Service e31359
am__define_uniq_tagged_files = \
Packit Service e31359
  list='$(am__tagged_files)'; \
Packit Service e31359
  unique=`for i in $$list; do \
Packit Service e31359
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
Packit Service e31359
  done | $(am__uniquify_input)`
Packit Service e31359
ETAGS = etags
Packit Service e31359
CTAGS = ctags
Packit Service e31359
am__tty_colors_dummy = \
Packit Service e31359
  mgn= red= grn= lgn= blu= brg= std=; \
Packit Service e31359
  am__color_tests=no
Packit Service e31359
am__tty_colors = { \
Packit Service e31359
  $(am__tty_colors_dummy); \
Packit Service e31359
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
Packit Service e31359
    am__color_tests=no; \
Packit Service e31359
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
Packit Service e31359
    am__color_tests=yes; \
Packit Service e31359
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
Packit Service e31359
    am__color_tests=yes; \
Packit Service e31359
  fi; \
Packit Service e31359
  if test $$am__color_tests = yes; then \
Packit Service e31359
    red='?[0;31m'; \
Packit Service e31359
    grn='?[0;32m'; \
Packit Service e31359
    lgn='?[1;32m'; \
Packit Service e31359
    blu='?[1;34m'; \
Packit Service e31359
    mgn='?[0;35m'; \
Packit Service e31359
    brg='?[1m'; \
Packit Service e31359
    std='?[m'; \
Packit Service e31359
  fi; \
Packit Service e31359
}
Packit Service e31359
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
Packit Service e31359
am__vpath_adj = case $$p in \
Packit Service e31359
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
Packit Service e31359
    *) f=$$p;; \
Packit Service e31359
  esac;
Packit Service e31359
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
Packit Service e31359
am__install_max = 40
Packit Service e31359
am__nobase_strip_setup = \
Packit Service e31359
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
Packit Service e31359
am__nobase_strip = \
Packit Service e31359
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
Packit Service e31359
am__nobase_list = $(am__nobase_strip_setup); \
Packit Service e31359
  for p in $$list; do echo "$$p $$p"; done | \
Packit Service e31359
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
Packit Service e31359
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
Packit Service e31359
    if (++n[$$2] == $(am__install_max)) \
Packit Service e31359
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
Packit Service e31359
    END { for (dir in files) print dir, files[dir] }'
Packit Service e31359
am__base_list = \
Packit Service e31359
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
Packit Service e31359
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
Packit Service e31359
am__uninstall_files_from_dir = { \
Packit Service e31359
  test -z "$$files" \
Packit Service e31359
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
Packit Service e31359
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
Packit Service e31359
         $(am__cd) "$$dir" && rm -f $$files; }; \
Packit Service e31359
  }
Packit Service e31359
am__recheck_rx = ^[ 	]*:recheck:[ 	]*
Packit Service e31359
am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
Packit Service e31359
am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
Packit Service e31359
# A command that, given a newline-separated list of test names on the
Packit Service e31359
# standard input, print the name of the tests that are to be re-run
Packit Service e31359
# upon "make recheck".
Packit Service e31359
am__list_recheck_tests = $(AWK) '{ \
Packit Service e31359
  recheck = 1; \
Packit Service e31359
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
Packit Service e31359
    { \
Packit Service e31359
      if (rc < 0) \
Packit Service e31359
        { \
Packit Service e31359
          if ((getline line2 < ($$0 ".log")) < 0) \
Packit Service e31359
	    recheck = 0; \
Packit Service e31359
          break; \
Packit Service e31359
        } \
Packit Service e31359
      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
Packit Service e31359
        { \
Packit Service e31359
          recheck = 0; \
Packit Service e31359
          break; \
Packit Service e31359
        } \
Packit Service e31359
      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
Packit Service e31359
        { \
Packit Service e31359
          break; \
Packit Service e31359
        } \
Packit Service e31359
    }; \
Packit Service e31359
  if (recheck) \
Packit Service e31359
    print $$0; \
Packit Service e31359
  close ($$0 ".trs"); \
Packit Service e31359
  close ($$0 ".log"); \
Packit Service e31359
}'
Packit Service e31359
# A command that, given a newline-separated list of test names on the
Packit Service e31359
# standard input, create the global log from their .trs and .log files.
Packit Service e31359
am__create_global_log = $(AWK) ' \
Packit Service e31359
function fatal(msg) \
Packit Service e31359
{ \
Packit Service e31359
  print "fatal: making $@: " msg | "cat >&2;; \
Packit Service e31359
  exit 1; \
Packit Service e31359
} \
Packit Service e31359
function rst_section(header) \
Packit Service e31359
{ \
Packit Service e31359
  print header; \
Packit Service e31359
  len = length(header); \
Packit Service e31359
  for (i = 1; i <= len; i = i + 1) \
Packit Service e31359
    printf "="; \
Packit Service e31359
  printf "\n\n"; \
Packit Service e31359
} \
Packit Service e31359
{ \
Packit Service e31359
  copy_in_global_log = 1; \
Packit Service e31359
  global_test_result = "RUN"; \
Packit Service e31359
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
Packit Service e31359
    { \
Packit Service e31359
      if (rc < 0) \
Packit Service e31359
         fatal("failed to read from " $$0 ".trs"); \
Packit Service e31359
      if (line ~ /$(am__global_test_result_rx)/) \
Packit Service e31359
        { \
Packit Service e31359
          sub("$(am__global_test_result_rx)", "", line); \
Packit Service e31359
          sub("[ 	]*$$", "", line); \
Packit Service e31359
          global_test_result = line; \
Packit Service e31359
        } \
Packit Service e31359
      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
Packit Service e31359
        copy_in_global_log = 0; \
Packit Service e31359
    }; \
Packit Service e31359
  if (copy_in_global_log) \
Packit Service e31359
    { \
Packit Service e31359
      rst_section(global_test_result ": " $$0); \
Packit Service e31359
      while ((rc = (getline line < ($$0 ".log"))) != 0) \
Packit Service e31359
      { \
Packit Service e31359
        if (rc < 0) \
Packit Service e31359
          fatal("failed to read from " $$0 ".log"); \
Packit Service e31359
        print line; \
Packit Service e31359
      }; \
Packit Service e31359
      printf "\n"; \
Packit Service e31359
    }; \
Packit Service e31359
  close ($$0 ".trs"); \
Packit Service e31359
  close ($$0 ".log"); \
Packit Service e31359
}'
Packit Service e31359
# Restructured Text title.
Packit Service e31359
am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
Packit Service e31359
# Solaris 10 'make', and several other traditional 'make' implementations,
Packit Service e31359
# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
Packit Service e31359
# by disabling -e (using the XSI extension "set +e") if it's set.
Packit Service e31359
am__sh_e_setup = case $$- in *e*) set +e;; esac
Packit Service e31359
# Default flags passed to test drivers.
Packit Service e31359
am__common_driver_flags = \
Packit Service e31359
  --color-tests "$$am__color_tests" \
Packit Service e31359
  --enable-hard-errors "$$am__enable_hard_errors" \
Packit Service e31359
  --expect-failure "$$am__expect_failure"
Packit Service e31359
# To be inserted before the command running the test.  Creates the
Packit Service e31359
# directory for the log if needed.  Stores in $dir the directory
Packit Service e31359
# containing $f, in $tst the test, in $log the log.  Executes the
Packit Service e31359
# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
Packit Service e31359
# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
Packit Service e31359
# will run the test scripts (or their associated LOG_COMPILER, if
Packit Service e31359
# thy have one).
Packit Service e31359
am__check_pre = \
Packit Service e31359
$(am__sh_e_setup);					\
Packit Service e31359
$(am__vpath_adj_setup) $(am__vpath_adj)			\
Packit Service e31359
$(am__tty_colors);					\
Packit Service e31359
srcdir=$(srcdir); export srcdir;			\
Packit Service e31359
case "$@" in						\
Packit Service e31359
  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
Packit Service e31359
    *) am__odir=.;; 					\
Packit Service e31359
esac;							\
Packit Service e31359
test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
Packit Service e31359
  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
Packit Service e31359
if test -f "./$$f"; then dir=./;			\
Packit Service e31359
elif test -f "$$f"; then dir=;				\
Packit Service e31359
else dir="$(srcdir)/"; fi;				\
Packit Service e31359
tst=$$dir$$f; log='$@'; 				\
Packit Service e31359
if test -n '$(DISABLE_HARD_ERRORS)'; then		\
Packit Service e31359
  am__enable_hard_errors=no; 				\
Packit Service e31359
else							\
Packit Service e31359
  am__enable_hard_errors=yes; 				\
Packit Service e31359
fi; 							\
Packit Service e31359
case " $(XFAIL_TESTS) " in				\
Packit Service e31359
  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
Packit Service e31359
    am__expect_failure=yes;;				\
Packit Service e31359
  *)							\
Packit Service e31359
    am__expect_failure=no;;				\
Packit Service e31359
esac; 							\
Packit Service e31359
$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
Packit Service e31359
# A shell command to get the names of the tests scripts with any registered
Packit Service e31359
# extension removed (i.e., equivalently, the names of the test logs, with
Packit Service e31359
# the '.log' extension removed).  The result is saved in the shell variable
Packit Service e31359
# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
Packit Service e31359
# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
Packit Service e31359
# since that might cause problem with VPATH rewrites for suffix-less tests.
Packit Service e31359
# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
Packit Service e31359
am__set_TESTS_bases = \
Packit Service e31359
  bases='$(TEST_LOGS)'; \
Packit Service e31359
  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
Packit Service e31359
  bases=`echo $$bases`
Packit Service e31359
RECHECK_LOGS = $(TEST_LOGS)
Packit Service e31359
AM_RECURSIVE_TARGETS = check recheck
Packit Service e31359
TEST_SUITE_LOG = test-suite.log
Packit Service e31359
TEST_EXTENSIONS =  .test
Packit Service e31359
LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
Packit Service e31359
LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
Packit Service e31359
am__set_b = \
Packit Service e31359
  case '$@' in \
Packit Service e31359
    */*) \
Packit Service e31359
      case '$*' in \
Packit Service e31359
        */*) b='$*';; \
Packit Service e31359
          *) b=`echo '$@' | sed 's/\.log$$//'`; \
Packit Service e31359
       esac;; \
Packit Service e31359
    *) \
Packit Service e31359
      b='$*';; \
Packit Service e31359
  esac
Packit Service e31359
am__test_logs1 = $(TESTS:=.log)
Packit Service e31359
am__test_logs2 = $(am__test_logs1:.log=.log)
Packit Service e31359
TEST_LOGS = $(am__test_logs2:.test.log=.log)
Packit Service e31359
TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
Packit Service e31359
TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
Packit Service e31359
	$(TEST_LOG_FLAGS)
Packit Service e31359
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
Packit Service e31359
	$(top_srcdir)/test-driver
Packit Service e31359
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
Packit Service e31359
ACLOCAL = ${SHELL} /home/moggi/devel/cppunit/missing aclocal-1.15
Packit Service e31359
AMTAR = $${TAR-tar}
Packit Service e31359
AM_DEFAULT_VERBOSITY = 0
Packit Service e31359
AR = ar
Packit Service e31359
AS = as
Packit Service e31359
AUTOCONF = ${SHELL} /home/moggi/devel/cppunit/missing autoconf
Packit Service e31359
AUTOHEADER = ${SHELL} /home/moggi/devel/cppunit/missing autoheader
Packit Service e31359
AUTOMAKE = ${SHELL} /home/moggi/devel/cppunit/missing automake-1.15
Packit Service e31359
AWK = gawk
Packit Service e31359
CC = gcc
Packit Service e31359
CCDEPMODE = depmode=gcc3
Packit Service e31359
CFLAGS = -g -O2 -Werror -Wall -Wextra -pedantic
Packit Service e31359
CPP = gcc -E
Packit Service e31359
CPPFLAGS = 
Packit Service e31359
CPPUNIT_BINARY_AGE = 0
Packit Service e31359
CPPUNIT_CXXFLAGS = 
Packit Service e31359
CPPUNIT_INTERFACE_AGE = 0
Packit Service e31359
CPPUNIT_MAJOR_VERSION = 1
Packit Service e31359
CPPUNIT_MICRO_VERSION = 0
Packit Service e31359
CPPUNIT_MINOR_VERSION = 14
Packit Service e31359
CXX = g++
Packit Service e31359
CXXCPP = g++ -E
Packit Service e31359
CXXDEPMODE = depmode=gcc3
Packit Service e31359
CXXFLAGS = -g -O2 -Werror -Wall -Wextra -pedantic
Packit Service e31359
CYGPATH_W = echo
Packit Service e31359
DEFS = -DHAVE_CONFIG_H
Packit Service e31359
DEPDIR = .deps
Packit Service e31359
DLLTOOL = false
Packit Service e31359
DOT = /usr/bin/dot
Packit Service e31359
DOXYGEN = /usr/bin/doxygen
Packit Service e31359
DSYMUTIL = 
Packit Service e31359
DUMPBIN = 
Packit Service e31359
ECHO_C = 
Packit Service e31359
ECHO_N = -n
Packit Service e31359
ECHO_T = 
Packit Service e31359
EGREP = /usr/bin/grep -E
Packit Service e31359
EXEEXT = 
Packit Service e31359
FGREP = /usr/bin/grep -F
Packit Service e31359
GREP = /usr/bin/grep
Packit Service e31359
HAVE_CXX11 = 1
Packit Service e31359
INSTALL = /usr/bin/install -c
Packit Service e31359
INSTALL_DATA = ${INSTALL} -m 644
Packit Service e31359
INSTALL_PROGRAM = ${INSTALL}
Packit Service e31359
INSTALL_SCRIPT = ${INSTALL}
Packit Service e31359
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
Packit Service e31359
LD = /usr/bin/ld -m elf_x86_64
Packit Service e31359
LDFLAGS = 
Packit Service e31359
LIBADD_DL = -ldl
Packit Service e31359
LIBOBJS = 
Packit Service e31359
LIBS =  -lm
Packit Service e31359
LIBTOOL = $(SHELL) $(top_builddir)/libtool
Packit Service e31359
LIPO = 
Packit Service e31359
LN_S = ln -s
Packit Service e31359
LTLIBOBJS = 
Packit Service e31359
LT_AGE = 0
Packit Service e31359
LT_CURRENT = 0
Packit Service e31359
LT_RELEASE = 1.14
Packit Service e31359
LT_REVISION = 0
Packit Service e31359
LT_SYS_LIBRARY_PATH = 
Packit Service e31359
MAKEINFO = ${SHELL} /home/moggi/devel/cppunit/missing makeinfo
Packit Service e31359
MANIFEST_TOOL = :
Packit Service e31359
MKDIR_P = /usr/bin/mkdir -p
Packit Service e31359
NM = /usr/bin/nm -B
Packit Service e31359
NMEDIT = 
Packit Service e31359
OBJDUMP = objdump
Packit Service e31359
OBJEXT = o
Packit Service e31359
OTOOL = 
Packit Service e31359
OTOOL64 = 
Packit Service e31359
PACKAGE = cppunit
Packit Service e31359
PACKAGE_BUGREPORT = 
Packit Service e31359
PACKAGE_NAME = cppunit
Packit Service e31359
PACKAGE_STRING = cppunit 1.14.0
Packit Service e31359
PACKAGE_TARNAME = cppunit
Packit Service e31359
PACKAGE_URL = 
Packit Service e31359
PACKAGE_VERSION = 1.14.0
Packit Service e31359
PATH_SEPARATOR = :
Packit Service e31359
RANLIB = ranlib
Packit Service e31359
SED = /usr/bin/sed
Packit Service e31359
SET_MAKE = 
Packit Service e31359
SHELL = /bin/sh
Packit Service e31359
STRIP = strip
Packit Service e31359
VERSION = 1.14.0
Packit Service e31359
abs_builddir = /home/moggi/devel/cppunit/examples/hierarchy
Packit Service e31359
abs_srcdir = /home/moggi/devel/cppunit/examples/hierarchy
Packit Service e31359
abs_top_builddir = /home/moggi/devel/cppunit
Packit Service e31359
abs_top_srcdir = /home/moggi/devel/cppunit
Packit Service e31359
ac_ct_AR = ar
Packit Service e31359
ac_ct_CC = gcc
Packit Service e31359
ac_ct_CXX = g++
Packit Service e31359
ac_ct_DUMPBIN = 
Packit Service e31359
am__include = include
Packit Service e31359
am__leading_dot = .
Packit Service e31359
am__quote = 
Packit Service e31359
am__tar = $${TAR-tar} chof - "$$tardir"
Packit Service e31359
am__untar = $${TAR-tar} xf -
Packit Service e31359
bindir = ${exec_prefix}/bin
Packit Service e31359
build = x86_64-unknown-linux-gnu
Packit Service e31359
build_alias = 
Packit Service e31359
build_cpu = x86_64
Packit Service e31359
build_os = linux-gnu
Packit Service e31359
build_vendor = unknown
Packit Service e31359
builddir = .
Packit Service e31359
datadir = ${datarootdir}
Packit Service e31359
datarootdir = ${prefix}/share
Packit Service e31359
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
Packit Service e31359
dvidir = ${docdir}
Packit Service e31359
enable_dot = yes
Packit Service e31359
enable_html_docs = yes
Packit Service e31359
enable_latex_docs = no
Packit Service e31359
exec_prefix = ${prefix}
Packit Service e31359
host = x86_64-unknown-linux-gnu
Packit Service e31359
host_alias = 
Packit Service e31359
host_cpu = x86_64
Packit Service e31359
host_os = linux-gnu
Packit Service e31359
host_vendor = unknown
Packit Service e31359
htmldir = ${docdir}
Packit Service e31359
includedir = ${prefix}/include
Packit Service e31359
infodir = ${datarootdir}/info
Packit Service e31359
install_sh = ${SHELL} /home/moggi/devel/cppunit/install-sh
Packit Service e31359
libdir = ${exec_prefix}/lib
Packit Service e31359
libexecdir = ${exec_prefix}/libexec
Packit Service e31359
localedir = ${datarootdir}/locale
Packit Service e31359
localstatedir = ${prefix}/var
Packit Service e31359
mandir = ${datarootdir}/man
Packit Service e31359
mkdir_p = $(MKDIR_P)
Packit Service e31359
oldincludedir = /usr/include
Packit Service e31359
pdfdir = ${docdir}
Packit Service e31359
prefix = /usr/local
Packit Service e31359
program_transform_name = s,x,x,
Packit Service e31359
psdir = ${docdir}
Packit Service e31359
sbindir = ${exec_prefix}/sbin
Packit Service e31359
sharedstatedir = ${prefix}/com
Packit Service e31359
srcdir = .
Packit Service e31359
sysconfdir = ${prefix}/etc
Packit Service e31359
target_alias = 
Packit Service e31359
top_build_prefix = ../../
Packit Service e31359
top_builddir = ../..
Packit Service e31359
top_srcdir = ../..
Packit Service e31359
EXTRA_DIST = hierarchy.dsw hierarchy.dsp
Packit Service e31359
AM_CPPFLAGS = -I$(top_builddir)/include -I$(top_srcdir)/include
Packit Service e31359
hierarchy_SOURCES = BoardGame.cpp \
Packit Service e31359
                   Chess.cpp \
Packit Service e31359
                   main.cpp \
Packit Service e31359
                   BoardGame.h \
Packit Service e31359
                   Chess.h \
Packit Service e31359
                   BoardGameTest.h \
Packit Service e31359
                   ChessTest.h
Packit Service e31359
Packit Service e31359
hierarchy_LDADD = \
Packit Service e31359
  $(top_builddir)/src/cppunit/libcppunit.la \
Packit Service e31359
  $(LIBADD_DL)
Packit Service e31359
Packit Service e31359
all: all-am
Packit Service e31359
Packit Service e31359
.SUFFIXES:
Packit Service e31359
.SUFFIXES: .cpp .lo .log .o .obj .test .test$(EXEEXT) .trs
Packit Service e31359
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
Packit Service e31359
	@for dep in $?; do \
Packit Service e31359
	  case '$(am__configure_deps)' in \
Packit Service e31359
	    *$$dep*) \
Packit Service e31359
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
Packit Service e31359
	        && { if test -f $@; then exit 0; else break; fi; }; \
Packit Service e31359
	      exit 1;; \
Packit Service e31359
	  esac; \
Packit Service e31359
	done; \
Packit Service e31359
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign examples/hierarchy/Makefile'; \
Packit Service e31359
	$(am__cd) $(top_srcdir) && \
Packit Service e31359
	  $(AUTOMAKE) --foreign examples/hierarchy/Makefile
Packit Service e31359
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Packit Service e31359
	@case '$?' in \
Packit Service e31359
	  *config.status*) \
Packit Service e31359
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
Packit Service e31359
	  *) \
Packit Service e31359
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
Packit Service e31359
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
Packit Service e31359
	esac;
Packit Service e31359
Packit Service e31359
$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
Packit Service e31359
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
Packit Service e31359
Packit Service e31359
$(top_srcdir)/configure:  $(am__configure_deps)
Packit Service e31359
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
Packit Service e31359
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
Packit Service e31359
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
Packit Service e31359
$(am__aclocal_m4_deps):
Packit Service e31359
Packit Service e31359
clean-checkPROGRAMS:
Packit Service e31359
	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
Packit Service e31359
	echo " rm -f" $$list; \
Packit Service e31359
	rm -f $$list || exit $$?; \
Packit Service e31359
	test -n "$(EXEEXT)" || exit 0; \
Packit Service e31359
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
Packit Service e31359
	echo " rm -f" $$list; \
Packit Service e31359
	rm -f $$list
Packit Service e31359
Packit Service e31359
hierarchy$(EXEEXT): $(hierarchy_OBJECTS) $(hierarchy_DEPENDENCIES) $(EXTRA_hierarchy_DEPENDENCIES) 
Packit Service e31359
	@rm -f hierarchy$(EXEEXT)
Packit Service e31359
	$(AM_V_CXXLD)$(CXXLINK) $(hierarchy_OBJECTS) $(hierarchy_LDADD) $(LIBS)
Packit Service e31359
Packit Service e31359
mostlyclean-compile:
Packit Service e31359
	-rm -f *.$(OBJEXT)
Packit Service e31359
Packit Service e31359
distclean-compile:
Packit Service e31359
	-rm -f *.tab.c
Packit Service e31359
Packit Service e31359
include ./$(DEPDIR)/BoardGame.Po
Packit Service e31359
include ./$(DEPDIR)/Chess.Po
Packit Service e31359
include ./$(DEPDIR)/main.Po
Packit Service e31359
Packit Service e31359
.cpp.o:
Packit Service e31359
	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
Packit Service e31359
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
Packit Service e31359
#	$(AM_V_CXX)source='$<' object='$@' libtool=no \
Packit Service e31359
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
Packit Service e31359
#	$(AM_V_CXX_no)$(CXXCOMPILE) -c -o $@ $<
Packit Service e31359
Packit Service e31359
.cpp.obj:
Packit Service e31359
	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
Packit Service e31359
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
Packit Service e31359
#	$(AM_V_CXX)source='$<' object='$@' libtool=no \
Packit Service e31359
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
Packit Service e31359
#	$(AM_V_CXX_no)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
Packit Service e31359
Packit Service e31359
.cpp.lo:
Packit Service e31359
	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
Packit Service e31359
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
Packit Service e31359
#	$(AM_V_CXX)source='$<' object='$@' libtool=yes \
Packit Service e31359
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
Packit Service e31359
#	$(AM_V_CXX_no)$(LTCXXCOMPILE) -c -o $@ $<
Packit Service e31359
Packit Service e31359
mostlyclean-libtool:
Packit Service e31359
	-rm -f *.lo
Packit Service e31359
Packit Service e31359
clean-libtool:
Packit Service e31359
	-rm -rf .libs _libs
Packit Service e31359
Packit Service e31359
ID: $(am__tagged_files)
Packit Service e31359
	$(am__define_uniq_tagged_files); mkid -fID $$unique
Packit Service e31359
tags: tags-am
Packit Service e31359
TAGS: tags
Packit Service e31359
Packit Service e31359
tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
Packit Service e31359
	set x; \
Packit Service e31359
	here=`pwd`; \
Packit Service e31359
	$(am__define_uniq_tagged_files); \
Packit Service e31359
	shift; \
Packit Service e31359
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
Packit Service e31359
	  test -n "$$unique" || unique=$$empty_fix; \
Packit Service e31359
	  if test $$# -gt 0; then \
Packit Service e31359
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
Packit Service e31359
	      "$$@" $$unique; \
Packit Service e31359
	  else \
Packit Service e31359
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
Packit Service e31359
	      $$unique; \
Packit Service e31359
	  fi; \
Packit Service e31359
	fi
Packit Service e31359
ctags: ctags-am
Packit Service e31359
Packit Service e31359
CTAGS: ctags
Packit Service e31359
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
Packit Service e31359
	$(am__define_uniq_tagged_files); \
Packit Service e31359
	test -z "$(CTAGS_ARGS)$$unique" \
Packit Service e31359
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
Packit Service e31359
	     $$unique
Packit Service e31359
Packit Service e31359
GTAGS:
Packit Service e31359
	here=`$(am__cd) $(top_builddir) && pwd` \
Packit Service e31359
	  && $(am__cd) $(top_srcdir) \
Packit Service e31359
	  && gtags -i $(GTAGS_ARGS) "$$here"
Packit Service e31359
cscopelist: cscopelist-am
Packit Service e31359
Packit Service e31359
cscopelist-am: $(am__tagged_files)
Packit Service e31359
	list='$(am__tagged_files)'; \
Packit Service e31359
	case "$(srcdir)" in \
Packit Service e31359
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
Packit Service e31359
	  *) sdir=$(subdir)/$(srcdir) ;; \
Packit Service e31359
	esac; \
Packit Service e31359
	for i in $$list; do \
Packit Service e31359
	  if test -f "$$i"; then \
Packit Service e31359
	    echo "$(subdir)/$$i"; \
Packit Service e31359
	  else \
Packit Service e31359
	    echo "$$sdir/$$i"; \
Packit Service e31359
	  fi; \
Packit Service e31359
	done >> $(top_builddir)/cscope.files
Packit Service e31359
Packit Service e31359
distclean-tags:
Packit Service e31359
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
Packit Service e31359
Packit Service e31359
# Recover from deleted '.trs' file; this should ensure that
Packit Service e31359
# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
Packit Service e31359
# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
Packit Service e31359
# to avoid problems with "make -n".
Packit Service e31359
.log.trs:
Packit Service e31359
	rm -f $< $@
Packit Service e31359
	$(MAKE) $(AM_MAKEFLAGS) $<
Packit Service e31359
Packit Service e31359
# Leading 'am--fnord' is there to ensure the list of targets does not
Packit Service e31359
# expand to empty, as could happen e.g. with make check TESTS=''.
Packit Service e31359
am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
Packit Service e31359
am--force-recheck:
Packit Service e31359
	@:
Packit Service e31359
Packit Service e31359
$(TEST_SUITE_LOG): $(TEST_LOGS)
Packit Service e31359
	@$(am__set_TESTS_bases); \
Packit Service e31359
	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
Packit Service e31359
	redo_bases=`for i in $$bases; do \
Packit Service e31359
	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
Packit Service e31359
	            done`; \
Packit Service e31359
	if test -n "$$redo_bases"; then \
Packit Service e31359
	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
Packit Service e31359
	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
Packit Service e31359
	  if $(am__make_dryrun); then :; else \
Packit Service e31359
	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
Packit Service e31359
	  fi; \
Packit Service e31359
	fi; \
Packit Service e31359
	if test -n "$$am__remaking_logs"; then \
Packit Service e31359
	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
Packit Service e31359
	       "recursion detected" >&2; \
Packit Service e31359
	elif test -n "$$redo_logs"; then \
Packit Service e31359
	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
Packit Service e31359
	fi; \
Packit Service e31359
	if $(am__make_dryrun); then :; else \
Packit Service e31359
	  st=0;  \
Packit Service e31359
	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
Packit Service e31359
	  for i in $$redo_bases; do \
Packit Service e31359
	    test -f $$i.trs && test -r $$i.trs \
Packit Service e31359
	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
Packit Service e31359
	    test -f $$i.log && test -r $$i.log \
Packit Service e31359
	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
Packit Service e31359
	  done; \
Packit Service e31359
	  test $$st -eq 0 || exit 1; \
Packit Service e31359
	fi
Packit Service e31359
	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
Packit Service e31359
	ws='[ 	]'; \
Packit Service e31359
	results=`for b in $$bases; do echo $$b.trs; done`; \
Packit Service e31359
	test -n "$$results" || results=/dev/null; \
Packit Service e31359
	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
Packit Service e31359
	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
Packit Service e31359
	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
Packit Service e31359
	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
Packit Service e31359
	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
Packit Service e31359
	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
Packit Service e31359
	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
Packit Service e31359
	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
Packit Service e31359
	  success=true; \
Packit Service e31359
	else \
Packit Service e31359
	  success=false; \
Packit Service e31359
	fi; \
Packit Service e31359
	br='==================='; br=$$br$$br$$br$$br; \
Packit Service e31359
	result_count () \
Packit Service e31359
	{ \
Packit Service e31359
	    if test x"$$1" = x"--maybe-color"; then \
Packit Service e31359
	      maybe_colorize=yes; \
Packit Service e31359
	    elif test x"$$1" = x"--no-color"; then \
Packit Service e31359
	      maybe_colorize=no; \
Packit Service e31359
	    else \
Packit Service e31359
	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
Packit Service e31359
	    fi; \
Packit Service e31359
	    shift; \
Packit Service e31359
	    desc=$$1 count=$$2; \
Packit Service e31359
	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
Packit Service e31359
	      color_start=$$3 color_end=$$std; \
Packit Service e31359
	    else \
Packit Service e31359
	      color_start= color_end=; \
Packit Service e31359
	    fi; \
Packit Service e31359
	    echo "$${color_start}# $$desc $$count$${color_end}"; \
Packit Service e31359
	}; \
Packit Service e31359
	create_testsuite_report () \
Packit Service e31359
	{ \
Packit Service e31359
	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
Packit Service e31359
	  result_count $$1 "PASS: " $$pass  "$$grn"; \
Packit Service e31359
	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
Packit Service e31359
	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
Packit Service e31359
	  result_count $$1 "FAIL: " $$fail  "$$red"; \
Packit Service e31359
	  result_count $$1 "XPASS:" $$xpass "$$red"; \
Packit Service e31359
	  result_count $$1 "ERROR:" $$error "$$mgn"; \
Packit Service e31359
	}; \
Packit Service e31359
	{								\
Packit Service e31359
	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
Packit Service e31359
	    $(am__rst_title);						\
Packit Service e31359
	  create_testsuite_report --no-color;				\
Packit Service e31359
	  echo;								\
Packit Service e31359
	  echo ".. contents:: :depth: 2";				\
Packit Service e31359
	  echo;								\
Packit Service e31359
	  for b in $$bases; do echo $$b; done				\
Packit Service e31359
	    | $(am__create_global_log);					\
Packit Service e31359
	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
Packit Service e31359
	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
Packit Service e31359
	if $$success; then						\
Packit Service e31359
	  col="$$grn";							\
Packit Service e31359
	 else								\
Packit Service e31359
	  col="$$red";							\
Packit Service e31359
	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
Packit Service e31359
	fi;								\
Packit Service e31359
	echo "$${col}$$br$${std}"; 					\
Packit Service e31359
	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
Packit Service e31359
	echo "$${col}$$br$${std}"; 					\
Packit Service e31359
	create_testsuite_report --maybe-color;				\
Packit Service e31359
	echo "$$col$$br$$std";						\
Packit Service e31359
	if $$success; then :; else					\
Packit Service e31359
	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
Packit Service e31359
	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
Packit Service e31359
	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
Packit Service e31359
	  fi;								\
Packit Service e31359
	  echo "$$col$$br$$std";					\
Packit Service e31359
	fi;								\
Packit Service e31359
	$$success || exit 1
Packit Service e31359
Packit Service e31359
check-TESTS:
Packit Service e31359
	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
Packit Service e31359
	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
Packit Service e31359
	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
Packit Service e31359
	@set +e; $(am__set_TESTS_bases); \
Packit Service e31359
	log_list=`for i in $$bases; do echo $$i.log; done`; \
Packit Service e31359
	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
Packit Service e31359
	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
Packit Service e31359
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
Packit Service e31359
	exit $$?;
Packit Service e31359
recheck: all $(check_PROGRAMS)
Packit Service e31359
	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
Packit Service e31359
	@set +e; $(am__set_TESTS_bases); \
Packit Service e31359
	bases=`for i in $$bases; do echo $$i; done \
Packit Service e31359
	         | $(am__list_recheck_tests)` || exit 1; \
Packit Service e31359
	log_list=`for i in $$bases; do echo $$i.log; done`; \
Packit Service e31359
	log_list=`echo $$log_list`; \
Packit Service e31359
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
Packit Service e31359
	        am__force_recheck=am--force-recheck \
Packit Service e31359
	        TEST_LOGS="$$log_list"; \
Packit Service e31359
	exit $$?
Packit Service e31359
hierarchy.log: hierarchy$(EXEEXT)
Packit Service e31359
	@p='hierarchy$(EXEEXT)'; \
Packit Service e31359
	b='hierarchy'; \
Packit Service e31359
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit Service e31359
	--log-file $$b.log --trs-file $$b.trs \
Packit Service e31359
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit Service e31359
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit Service e31359
.test.log:
Packit Service e31359
	@p='$<'; \
Packit Service e31359
	$(am__set_b); \
Packit Service e31359
	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
Packit Service e31359
	--log-file $$b.log --trs-file $$b.trs \
Packit Service e31359
	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
Packit Service e31359
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit Service e31359
#.test$(EXEEXT).log:
Packit Service e31359
#	@p='$<'; \
Packit Service e31359
#	$(am__set_b); \
Packit Service e31359
#	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
Packit Service e31359
#	--log-file $$b.log --trs-file $$b.trs \
Packit Service e31359
#	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
Packit Service e31359
#	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit Service e31359
Packit Service e31359
distdir: $(DISTFILES)
Packit Service e31359
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
Packit Service e31359
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
Packit Service e31359
	list='$(DISTFILES)'; \
Packit Service e31359
	  dist_files=`for file in $$list; do echo $$file; done | \
Packit Service e31359
	  sed -e "s|^$$srcdirstrip/||;t" \
Packit Service e31359
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
Packit Service e31359
	case $$dist_files in \
Packit Service e31359
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
Packit Service e31359
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
Packit Service e31359
			   sort -u` ;; \
Packit Service e31359
	esac; \
Packit Service e31359
	for file in $$dist_files; do \
Packit Service e31359
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
Packit Service e31359
	  if test -d $$d/$$file; then \
Packit Service e31359
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
Packit Service e31359
	    if test -d "$(distdir)/$$file"; then \
Packit Service e31359
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
Packit Service e31359
	    fi; \
Packit Service e31359
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
Packit Service e31359
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
Packit Service e31359
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
Packit Service e31359
	    fi; \
Packit Service e31359
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
Packit Service e31359
	  else \
Packit Service e31359
	    test -f "$(distdir)/$$file" \
Packit Service e31359
	    || cp -p $$d/$$file "$(distdir)/$$file" \
Packit Service e31359
	    || exit 1; \
Packit Service e31359
	  fi; \
Packit Service e31359
	done
Packit Service e31359
check-am: all-am
Packit Service e31359
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
Packit Service e31359
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
Packit Service e31359
check: check-am
Packit Service e31359
all-am: Makefile
Packit Service e31359
installdirs:
Packit Service e31359
install: install-am
Packit Service e31359
install-exec: install-exec-am
Packit Service e31359
install-data: install-data-am
Packit Service e31359
uninstall: uninstall-am
Packit Service e31359
Packit Service e31359
install-am: all-am
Packit Service e31359
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
Packit Service e31359
Packit Service e31359
installcheck: installcheck-am
Packit Service e31359
install-strip:
Packit Service e31359
	if test -z '$(STRIP)'; then \
Packit Service e31359
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
Packit Service e31359
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
Packit Service e31359
	      install; \
Packit Service e31359
	else \
Packit Service e31359
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
Packit Service e31359
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
Packit Service e31359
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
Packit Service e31359
	fi
Packit Service e31359
mostlyclean-generic:
Packit Service e31359
	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
Packit Service e31359
	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
Packit Service e31359
	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
Packit Service e31359
Packit Service e31359
clean-generic:
Packit Service e31359
Packit Service e31359
distclean-generic:
Packit Service e31359
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
Packit Service e31359
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
Packit Service e31359
Packit Service e31359
maintainer-clean-generic:
Packit Service e31359
	@echo "This command is intended for maintainers to use"
Packit Service e31359
	@echo "it deletes files that may require special tools to rebuild."
Packit Service e31359
clean: clean-am
Packit Service e31359
Packit Service e31359
clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
Packit Service e31359
	mostlyclean-am
Packit Service e31359
Packit Service e31359
distclean: distclean-am
Packit Service e31359
	-rm -rf ./$(DEPDIR)
Packit Service e31359
	-rm -f Makefile
Packit Service e31359
distclean-am: clean-am distclean-compile distclean-generic \
Packit Service e31359
	distclean-tags
Packit Service e31359
Packit Service e31359
dvi: dvi-am
Packit Service e31359
Packit Service e31359
dvi-am:
Packit Service e31359
Packit Service e31359
html: html-am
Packit Service e31359
Packit Service e31359
html-am:
Packit Service e31359
Packit Service e31359
info: info-am
Packit Service e31359
Packit Service e31359
info-am:
Packit Service e31359
Packit Service e31359
install-data-am:
Packit Service e31359
Packit Service e31359
install-dvi: install-dvi-am
Packit Service e31359
Packit Service e31359
install-dvi-am:
Packit Service e31359
Packit Service e31359
install-exec-am:
Packit Service e31359
Packit Service e31359
install-html: install-html-am
Packit Service e31359
Packit Service e31359
install-html-am:
Packit Service e31359
Packit Service e31359
install-info: install-info-am
Packit Service e31359
Packit Service e31359
install-info-am:
Packit Service e31359
Packit Service e31359
install-man:
Packit Service e31359
Packit Service e31359
install-pdf: install-pdf-am
Packit Service e31359
Packit Service e31359
install-pdf-am:
Packit Service e31359
Packit Service e31359
install-ps: install-ps-am
Packit Service e31359
Packit Service e31359
install-ps-am:
Packit Service e31359
Packit Service e31359
installcheck-am:
Packit Service e31359
Packit Service e31359
maintainer-clean: maintainer-clean-am
Packit Service e31359
	-rm -rf ./$(DEPDIR)
Packit Service e31359
	-rm -f Makefile
Packit Service e31359
maintainer-clean-am: distclean-am maintainer-clean-generic
Packit Service e31359
Packit Service e31359
mostlyclean: mostlyclean-am
Packit Service e31359
Packit Service e31359
mostlyclean-am: mostlyclean-compile mostlyclean-generic \
Packit Service e31359
	mostlyclean-libtool
Packit Service e31359
Packit Service e31359
pdf: pdf-am
Packit Service e31359
Packit Service e31359
pdf-am:
Packit Service e31359
Packit Service e31359
ps: ps-am
Packit Service e31359
Packit Service e31359
ps-am:
Packit Service e31359
Packit Service e31359
uninstall-am:
Packit Service e31359
Packit Service e31359
.MAKE: check-am install-am install-strip
Packit Service e31359
Packit Service e31359
.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
Packit Service e31359
	clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
Packit Service e31359
	ctags ctags-am distclean distclean-compile distclean-generic \
Packit Service e31359
	distclean-libtool distclean-tags distdir dvi dvi-am html \
Packit Service e31359
	html-am info info-am install install-am install-data \
Packit Service e31359
	install-data-am install-dvi install-dvi-am install-exec \
Packit Service e31359
	install-exec-am install-html install-html-am install-info \
Packit Service e31359
	install-info-am install-man install-pdf install-pdf-am \
Packit Service e31359
	install-ps install-ps-am install-strip installcheck \
Packit Service e31359
	installcheck-am installdirs maintainer-clean \
Packit Service e31359
	maintainer-clean-generic mostlyclean mostlyclean-compile \
Packit Service e31359
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
Packit Service e31359
	recheck tags tags-am uninstall uninstall-am
Packit Service e31359
Packit Service e31359
.PRECIOUS: Makefile
Packit Service e31359
Packit Service e31359
Packit Service e31359
# Tell versions [3.59,3.63) of GNU make to not export all variables.
Packit Service e31359
# Otherwise a system limit (for SysV at least) may be exceeded.
Packit Service e31359
.NOEXPORT: